VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::vm::hardware::adapter::ScsiTypes::Sharing Class Reference

The `Scsi.Sharing` enumerated type defines the valid bus sharing modes for a virtual SCSI adapter. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, NONE, VIRTUAL, PHYSICAL }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static Sharing[] | GetValues ()
static Sharing | ValueOf (string name)
## Static Public Attributes
static readonly Sharing | NONE = new Sharing("NONE", Values.NONE)
| The virtual SCSI bus is not shared.
static readonly Sharing | VIRTUAL = new Sharing("VIRTUAL", Values.VIRTUAL)
| The virtual SCSI bus is shared between two or more virtual machines.
static readonly Sharing | PHYSICAL = new Sharing("PHYSICAL", Values.PHYSICAL)
| The virtual SCSI bus is shared between two or more virtual machines residing on different physical hosts.

## Detailed Description

The `Scsi.Sharing` enumerated type defines the valid bus sharing modes for a virtual SCSI adapter.

## Member Enumeration Documentation

enum vmware::vcenter::vm::hardware::adapter::ScsiTypes::Sharing::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  NONE | The virtual SCSI bus is not shared.
  VIRTUAL | The virtual SCSI bus is shared between two or more virtual machines. In this case, no physical machine is involved.
  PHYSICAL | The virtual SCSI bus is shared between two or more virtual machines residing on different physical hosts.

## Member Function Documentation

Values vmware::vcenter::vm::hardware::adapter::ScsiTypes::Sharing::GetEnumValue | ( |  | ) | `[inline]`

static Sharing [] vmware::vcenter::vm::hardware::adapter::ScsiTypes::Sharing::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::vm::hardware::adapter::ScsiTypes::Sharing::IsUnknown | ( |  | ) | `[inline]`

static Sharing vmware::vcenter::vm::hardware::adapter::ScsiTypes::Sharing::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly Sharing vmware::vcenter::vm::hardware::adapter::ScsiTypes::Sharing::NONE = new Sharing("NONE", Values.NONE)`[static]`

The virtual SCSI bus is not shared.

readonly Sharing vmware::vcenter::vm::hardware::adapter::ScsiTypes::Sharing::PHYSICAL = new Sharing("PHYSICAL", Values.PHYSICAL)`[static]`

The virtual SCSI bus is shared between two or more virtual machines residing on different physical hosts.

readonly Sharing vmware::vcenter::vm::hardware::adapter::ScsiTypes::Sharing::VIRTUAL = new Sharing("VIRTUAL", Values.VIRTUAL)`[static]`

The virtual SCSI bus is shared between two or more virtual machines.

In this case, no physical machine is involved.

The documentation for this class was generated from the following file:

- ScsiTypes.cs